%define	name	ratpoison
%define version 1.4.5
%define release %mkrel 2

Name:		%{name}
Summary:	Simple Window Manager largely modelled after Screen
Group:		Graphical desktop/Other
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.nongnu.org/ratpoison/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		ratpoison-1.4.5-link.patch
BuildRequires:	libx11-devel
BuildRequires:	libxft-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxinerama-devel
BuildRequires:	readline-devel

%description
Ratpoison is a simple window manager with no large library dependencies,
no fancy graphics, no window decorations, and no rodent dependence. It
is largely modeled after GNU Screen, which has done wonders in the
virtual terminal market. All interaction with the window manager is done
through keystrokes. ratpoison has a prefix map to minimize the key
clobbering that cripples EMACS and other quality pieces of software. All
windows are maximized and kept maximized to avoid wasting precious
screen space.

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="%optflags -DHAVE_GETLINE"
autoreconf -fi
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf %{buildroot}/usr/share/doc/%{name}

# startfile
%{__cat} > $RPM_BUILD_ROOT%{_bindir}/start%{name} << EOF
exec %{_bindir}/%{name}
EOF

# session file
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
%{__cat} > $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/16%{name} << EOF
NAME=%{name}
EXEC=%{_bindir}/start%{name}
DESC=%{name} window manager
SCRIPT:
exec %{_bindir}/start%{name}
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc INSTALL README TODO doc/ipaq.ratpoisonrc doc/sample.ratpoisonrc AUTHORS COPYING contrib/genrpbindings contrib/split.sh NEWS
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/16%{name}
%attr(644,root,root) %{_mandir}/man1/%{name}.1*
%attr(644,root,root) %{_infodir}/%{name}.info*
%{_datadir}/%{name}
%defattr(755,root,root,755)
%{_bindir}/start%{name}
%{_bindir}/%{name}
%{_bindir}/rpws




%changelog
* Sat Jan 22 2011 Funda Wang <fwang@mandriva.org> 1.4.5-2mdv2011.0
+ Revision: 632245
- fix link

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 1.4.5

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-2mdv2009.1
+ Revision: 345230
- rebuild against new readline

* Sun Aug 10 2008 Jérôme Soyer <saispo@mandriva.org> 1.4.3-1mdv2009.0
+ Revision: 270603
- New release 1.4.3

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-5mdv2009.0
+ Revision: 260057
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-4mdv2009.0
+ Revision: 247892
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-2mdv2008.1
+ Revision: 171077
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Jérôme Soyer <saispo@mandriva.org>
    - Remove old tarball

* Sun Oct 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.2-1mdv2008.1
+ Revision: 98225
- New release 1.4.2


* Wed Dec 20 2006 Lenny Cartier <lenny@mandriva.com> 1.4.1-1mdv2007.0
+ Revision: 100489
- Update to 1.4.1
- Import ratpoison

